Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context.support
Class ServletContextAwareProcessor

    java.lang.Object
      org.springframework.web.context.support.ServletContextAwareProcessor

All Implemented Interfaces:
  BeanPostProcessor

    public class ServletContextAwareProcessor

extends Object
implements BeanPostProcessor

`BeanPostProcessor` implementation that passes the ServletContext to beans that implement the `ServletContextAware` interface.

Web application contexts will automatically register this with their underlying bean factory. Applications do not use this directly.

Since:
  12.03.2004
Author:
  Juergen Hoeller
See Also:
  `ServletContextAware`, `AbstractRefreshableWebApplicationContext.postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory)`

Constructor Summary
`ServletContextAwareProcessor(ServletConfig servletConfig)` Create a new ServletContextAwareProcessor for the given config.
`ServletContextAwareProcessor(ServletContext servletContext)` Create a new ServletContextAwareProcessor for the given context.
`ServletContextAwareProcessor(ServletContext servletContext, ServletConfig servletConfig)` Create a new ServletContextAwareProcessor for the given context and config.

Method Summary
`Object` | `postProcessAfterInitialization(Object bean, String beanName)` Apply this BeanPostProcessor to the given new bean instance after any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method).
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)` Apply this BeanPostProcessor to the given new bean instance before any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContextAwareProcessor

    public ServletContextAwareProcessor(ServletContext servletContext)

  Create a new ServletContextAwareProcessor for the given context.

### ServletContextAwareProcessor

    public ServletContextAwareProcessor(ServletConfig servletConfig)

  Create a new ServletContextAwareProcessor for the given config.

### ServletContextAwareProcessor

    public ServletContextAwareProcessor(ServletContext servletContext,
                                        ServletConfig servletConfig)

  Create a new ServletContextAwareProcessor for the given context and config.

Method Detail

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws BeansException

  Description copied from interface: `BeanPostProcessor`
  Apply this BeanPostProcessor to the given new bean instance before any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method). The bean will already be populated with property values. The returned bean instance may be a wrapper around the original.

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` - the new bean instance
    `beanName` - the name of the bean
  Returns:
    the bean instance to use, either the original or a wrapped one; if `null`, no subsequent BeanPostProcessors will be invoked
  Throws:
    `BeansException` - in case of errors
  See Also:
    `InitializingBean.afterPropertiesSet()`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)

  Description copied from interface: `BeanPostProcessor`
  Apply this BeanPostProcessor to the given new bean instance after any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method). The bean will already be populated with property values. The returned bean instance may be a wrapper around the original.

  In case of a FactoryBean, this callback will be invoked for both the FactoryBean instance and the objects created by the FactoryBean (as of Spring 2.0). The post-processor can decide whether to apply to either the FactoryBean or created objects or both through corresponding `bean instanceof FactoryBean` checks.

  This callback will also be invoked after a short-circuiting triggered by a `InstantiationAwareBeanPostProcessor.postProcessBeforeInstantiation(java.lang.Class, java.lang.String)` method, in contrast to all other BeanPostProcessor callbacks.

  Specified by:
    `postProcessAfterInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` - the new bean instance
    `beanName` - the name of the bean
  Returns:
    the bean instance to use, either the original or a wrapped one; if `null`, no subsequent BeanPostProcessors will be invoked
  See Also:
    `InitializingBean.afterPropertiesSet()`, `FactoryBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD